PHP, which is a recursive acronym for PHP: Hypertext Preprocessor, is one of the most commonly used open-source server-side coding languages available out there. Any site or web-based application created using PHP will run on a given web server on the condition that a PHP module is activated, which renders the language absolutely universal and it’s not unusual that there are actually several million web servers that support it and 100s of millions of PHP-powered websites running on them. PHP is preferred over HTML thanks to the fact that it permits you to develop a responsive website with tons of options. A PHP-based community web portal, for instance, will serve unique web content to each user regardless of the fact that the URL will remain unchanged. In contrast, HTML-based websites are static and the page content itself can be edited only manually. Just like any other software, PHP has different versions and the one that was used whilst creating a particular website must be enabled on the web server in order for the site to work properly.

PHP 4 and PHP 5 Support in Cloud Hosting

We have reached a decision not to prevent our current and future clients from picking what PHP version their websites will use, which means that in case you purchase a cloud hosting package from us, you will be able to pick between versions 5.5, 5.4, 5.3, 5.2 and 4, not only for the hosting account as a whole, but also for each single domain that you host. This can be accomplished with just one single click through our custom Hepsia hosting Control Panel via which all web hosting accounts are administered, which is the reason why you won’t need any technical or programming skills. You’ll be able to host websites based on both old and new PHP scripts without a problem, so if you wish to abandon your current web hosting company and migrate over to us, you can be certain that all the sites that you have developed over the years will continue to run impeccably.

PHP 4 and PHP 5 Support in Semi-dedicated Servers

Even in case your sites were built with an older PHP version, you will be able to host them in a semi-dedicated server account from us, as we support multiple versions running simultaneously on our servers and each of them can be enabled for your account with just one click through our custom-created Hepsia hosting Control Panel. Other than the newest PHP 5.5 and PHP 5.4, we also support 5.3, 5.2 and the older PHP 4. The latter has already been abandoned by the great majority of web hosts, but we think that you should not be compelled to modify a website that took years to build, as older script language syntax does not automatically suggest security gaps. Quite the opposite, an adequately maintained site using PHP 4 can be more reliable than an inadequately maintained one using PHP 5. For your convenience, we’ll also give you the opportunity to pick a different version of PHP for each single website within the account.